using System;
namespace System.Model
{
	/// <summary>
	/// 团队绩效表
	/// </summary>
	[Serializable]
	public partial class T_SysUser_TeamGrade
	{
		public T_SysUser_TeamGrade()
		{ }
		#region Model
		private string _f_id;
		private string _f_remark;
		private DateTime _f_addtime;
		private string _f_dept;
		private int _f_deptid;
		private string _f_post;
		private int _f_postid;
		private string _f_type;
		private string _f_month;
		private int _f_sendtotlenumber = 0;
		private decimal _f_totlemoney = 0.00M;
		private int _f_signnumber = 0;
		private decimal _f_signmoney = 0.00M;
		private int _f_nosignnumber = 0;
		private decimal _f_nosignmoney;
		private int _f_refusenumber = 0;
		private decimal _f_refusemoney = 0.00M;
		private string _f_signrate;
		private decimal _f_errormoney = 0.00M;
		private int _f_errornumber;
		private int? _f_afternumber;
		private decimal _f_aftermoney = 0.00M;
		private decimal _f_alongmoney = 0.00M;
		private decimal _f_tasknumber;
		private decimal _f_taskovernumber;
		private string _f_taskrate;
		private decimal? _f_agentsignmoney;
		private int? _f_teamid = 0;
		private string _f_team;
		private int _f_state;
		private string _f_statereamrk;
		private int? _f_backnumber;
		private decimal? _f_backmoney = 0M;
		private int? _f_adduser;

		
		private decimal _f_lastsignmoney = 0;
		/// <summary>
		/// 上次未签收，本次签收
		/// </summary>
		public decimal F_LastSignMoney
		{
			set { _f_callsinglemoney = value; }
			get { return _f_callsinglemoney; }
		}

		private decimal _f_callsinglemoney = 0;
		/// <summary>
		/// 每通电话均签收额
		/// </summary>
		public decimal F_CallSingleMoney
		{
			set { _f_callsinglemoney = value; }
			get { return _f_callsinglemoney; }
		}


		private int _f_calltotlenumber = 0;
		/// <summary>
		/// 总进线数（包含不通）
		/// </summary>
		public int F_CallTotleNumber
		{
			set { _f_calltotlenumber = value; }
			get { return _f_calltotlenumber; }
		}


		private int _f_callnumber = 0;
		/// <summary>
		/// 有效进线数（通话）
		/// </summary>
		public int F_CallNumber
		{
			set { _f_callnumber = value; }
			get { return _f_callnumber; }
		}

		/// <summary>
		/// 团队绩效表ID
		/// </summary>
		public string F_Id
		{
			set { _f_id = value; }
			get { return _f_id; }
		}
		/// <summary>
		/// 备注
		/// </summary>
		public string F_Remark
		{
			set { _f_remark = value; }
			get { return _f_remark; }
		}
		/// <summary>
		/// 添加时间
		/// </summary>
		public DateTime F_AddTime
		{
			set { _f_addtime = value; }
			get { return _f_addtime; }
		}
		/// <summary>
		/// 部门
		/// </summary>
		public string F_Dept
		{
			set { _f_dept = value; }
			get { return _f_dept; }
		}
		/// <summary>
		/// 部门ID
		/// </summary>
		public int F_DeptId
		{
			set { _f_deptid = value; }
			get { return _f_deptid; }
		}
		/// <summary>
		/// 职位
		/// </summary>
		public string F_Post
		{
			set { _f_post = value; }
			get { return _f_post; }
		}
		/// <summary>
		/// 职务ID
		/// </summary>
		public int F_PostId
		{
			set { _f_postid = value; }
			get { return _f_postid; }
		}
		/// <summary>
		/// 统计类型：当月业绩
		/// </summary>
		public string F_Type
		{
			set { _f_type = value; }
			get { return _f_type; }
		}
		/// <summary>
		/// 统计月份 例如：202007
		/// </summary>
		public string F_Month
		{
			set { _f_month = value; }
			get { return _f_month; }
		}
		/// <summary>
		/// 发货单总数
		/// </summary>
		public int F_SendTotleNumber
		{
			set { _f_sendtotlenumber = value; }
			get { return _f_sendtotlenumber; }
		}
		/// <summary>
		/// 总金额
		/// </summary>
		public decimal F_TotleMoney
		{
			set { _f_totlemoney = value; }
			get { return _f_totlemoney; }
		}
		/// <summary>
		/// 签收单数
		/// </summary>
		public int F_SignNumber
		{
			set { _f_signnumber = value; }
			get { return _f_signnumber; }
		}
		/// <summary>
		/// 签收金额
		/// </summary>
		public decimal F_SignMoney
		{
			set { _f_signmoney = value; }
			get { return _f_signmoney; }
		}
		/// <summary>
		/// 未签收单数
		/// </summary>
		public int F_NoSignNumber
		{
			set { _f_nosignnumber = value; }
			get { return _f_nosignnumber; }
		}
		/// <summary>
		/// 未签收金额
		/// </summary>
		public decimal F_NoSignMoney
		{
			set { _f_nosignmoney = value; }
			get { return _f_nosignmoney; }
		}
		/// <summary>
		/// 拒收单数
		/// </summary>
		public int F_RefuseNumber
		{
			set { _f_refusenumber = value; }
			get { return _f_refusenumber; }
		}
		/// <summary>
		/// 拒收金额
		/// </summary>
		public decimal F_RefuseMoney
		{
			set { _f_refusemoney = value; }
			get { return _f_refusemoney; }
		}
		/// <summary>
		/// 签收率
		/// </summary>
		public string F_SignRate
		{
			set { _f_signrate = value; }
			get { return _f_signrate; }
		}
		/// <summary>
		/// 录错信息金额
		/// </summary>
		public decimal F_ErrorMoney
		{
			set { _f_errormoney = value; }
			get { return _f_errormoney; }
		}
		/// <summary>
		/// 录错信息单数
		/// </summary>
		public int F_ErrorNumber
		{
			set { _f_errornumber = value; }
			get { return _f_errornumber; }
		}
		/// <summary>
		/// 售后单数
		/// </summary>
		public int? F_AfterNumber
		{
			set { _f_afternumber = value; }
			get { return _f_afternumber; }
		}
		/// <summary>
		/// 售后金额
		/// </summary>
		public decimal F_AfterMoney
		{
			set { _f_aftermoney = value; }
			get { return _f_aftermoney; }
		}
		/// <summary>
		/// 特殊金额（归属个人的金额，单独计算）
		/// </summary>
		public decimal F_AlongMoney
		{
			set { _f_alongmoney = value; }
			get { return _f_alongmoney; }
		}
		/// <summary>
		/// 任务数
		/// </summary>
		public decimal F_TaskNumber
		{
			set { _f_tasknumber = value; }
			get { return _f_tasknumber; }
		}
		/// <summary>
		/// 任务完成数
		/// </summary>
		public decimal F_TaskOverNumber
		{
			set { _f_taskovernumber = value; }
			get { return _f_taskovernumber; }
		}
		/// <summary>
		/// 任务完成比例
		/// </summary>
		public string F_TaskRate
		{
			set { _f_taskrate = value; }
			get { return _f_taskrate; }
		}
		/// <summary>
		/// 改代收金额
		/// </summary>
		public decimal? F_AgentSignMoney
		{
			set { _f_agentsignmoney = value; }
			get { return _f_agentsignmoney; }
		}
		/// <summary>
		/// 团队id 0个人
		/// </summary>
		public int? F_TeamId
		{
			set { _f_teamid = value; }
			get { return _f_teamid; }
		}
		/// <summary>
		/// 团队名称
		/// </summary>
		public string F_Team
		{
			set { _f_team = value; }
			get { return _f_team; }
		}
		/// <summary>
		/// 0待确认 1有异议  4已确认 5最终已确认
		/// </summary>
		public int F_State
		{
			set { _f_state = value; }
			get { return _f_state; }
		}
		/// <summary>
		/// 有异议或者审核的备注
		/// </summary>
		public string F_StateReamrk
		{
			set { _f_statereamrk = value; }
			get { return _f_statereamrk; }
		}
		/// <summary>
		/// 售后退款单数  售后状态 236
		/// </summary>
		public int? F_BackNumber
		{
			set { _f_backnumber = value; }
			get { return _f_backnumber; }
		}
		/// <summary>
		/// 售后退款金额 售后状态 236
		/// </summary>
		public decimal? F_BackMoney
		{
			set { _f_backmoney = value; }
			get { return _f_backmoney; }
		}
		/// <summary>
		/// 添加人 默认0系统
		/// </summary>
		public int? F_AddUser
		{
			set { _f_adduser = value; }
			get { return _f_adduser; }
		}

		public DateTime? F_SureTime
		{ set; get; }
		#endregion Model

	}
}

